Zum Hauptinhalt springen

Submitted feedback of the given user

GET/v2/users/{userId}/feedback
API-Version
v2
Request-Methode
GET
Operation-ID
user-list-feedback

Request​

  • userIdstringrequired

    self or the id of a user.

Responses​

Format
application/json
Beschreibung

Feedback submitted by the user.

  • Array[
    • *object
      • idstring (uuid)required
      • messagestring (≤ 1000 Zeichen)required
      • originstring (≤ 1000 Zeichen)required
      • subjectstring (≥ 1 Zeichen, ≤ 100 Zeichen)required
      • votenumber (≥ 0)required
    ]
Content-Type: application/json

[
{
"id": "f0f86186-0a5a-45b2-aa33-502777496347",
"message": "string",
"origin": "string",
"subject": "string",
"vote": 123
}
]
{
"items": {
"properties": {
"id": {
"format": "uuid",
"type": "string"
},
"message": {
"maxLength": 1000,
"type": "string"
},
"origin": {
"maxLength": 1000,
"type": "string"
},
"subject": {
"maxLength": 100,
"minLength": 1,
"type": "string"
},
"vote": {
"maximum": 10,
"minimum": 0,
"type": "number"
}
},
"required": [
"id",
"subject",
"vote",
"origin",
"message"
],
"type": "object"
},
"type": "array"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/users/string/feedback?subject=string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.listFeedback({
"userId": "string",
"queryParameters": {
"subject": "string"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\User\ListFeedback\ListFeedbackRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ListFeedbackRequest(
userId: "string"
))
->withSubject("string");
$response = $client->user()->listFeedback($request);

var_dump($response->getBody();

Auf dieser Seite